% Serie 9 - Uebung 1 - Fixpunkt

F=@(x) 2*exp(-x/2);
a=0.8; b=1.4;       % Intervall

% Kontrollieren Sie was mit anderen Funktionen F passiert:
%F=@(x) 2*x.*(1-x);
%F=@(x) 4*x.*(1-x);
%a=0; b=1;

x=0.8;       % Startwert
maxit=100;
tol=1e-6;

clf;
plot(linspace(a,b,10000),F(linspace(a,b,10000)),'k');   % genauer als fplot 
hold on;
plot([a b], [a b],'k--');
axis equal;

for j=1:maxit;
    xn=F(x); 
    if abs(x-xn)<tol 
        sprintf('%d Iterationen', j)
        break;
    end;

    % Konvergenzplot:
    plot(x,xn,'*r');
    text(x,xn,num2str(j));            % Anzeigen der Anzahl der Iterationen 
    plot([x xn], [xn xn]);
    plot([xn xn], [xn F(xn)]);
    x=xn;
end;
xlim([a,b])
ylim([a,b])
axis equal
x
